Subject: Re: [PATCH/RFC v3 2/7] gettext: Add a Gettext interface for shell scripts

From: Johannes Sixt <[email-masked]>
Date: Wed, 02 Jun 2010 11:38:48 +0200

Am 6/2/2010 10:53, schrieb Ævar Arnfjörð Bjarmason:
> That hack doesn't work on bash ('\c' produces a space), maybe it
> doesn't work anywhere. Do you have a shell that doesn't support echo
> -n? What does it output there?

It's not just echo -n. You are dealing with text that is outside your
control. There are implementations of echo that interpret backslash in the
text (like \t, \n etc.). You are risking that they are treated as escape
characters rather than printed as-are.

> I wouldn't be surprised if it did need to be changed to printf
> "%s". I'm just curious where it broke and how.

Actually, I don't know where -n does not work.

-- Hannes